<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.403
Name: Primaire afwijking
Description: Template: Primaire afwijking
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000">
   <title>Primaire afwijking</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.403
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.403']]
Item: (Primaireafwijking)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.403']]"
         id="tmp-r-942055-470669-174487-119940">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']]/@nullFlavor)">(Primaireafwijking): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']])&lt;=1">(Primaireafwijking): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.403
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']]
Item: (Primaireafwijking)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']]"
         id="tmp-r-455744-304430-230585-819138">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="string(@classCode)='OBS'">(Primaireafwijking): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="string(@moodCode)='EVN'">(Primaireafwijking): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403'])&gt;=1 ">(Primaireafwijking): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403'])&lt;=1">(Primaireafwijking): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="count(hl7:code[(@code='C155050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')])&gt;=1 and not(hl7:code[(@code='C155050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')]/@nullFlavor)">(Primaireafwijking): element hl7:code[(@code='C155050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="count(hl7:code[(@code='C155050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')])&lt;=1">(Primaireafwijking): element hl7:code[(@code='C155050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Primaireafwijking): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="count(hl7:value[(@code='MUCPOL' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.13') or (@code='110448004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='277161008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='76235005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='62047007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443897009' and @codeSystem='2.16.840.1.113883.6.96') or (@code='61722000' and @codeSystem='2.16.840.1.113883.6.96') or (@code='128859003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443157008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443734007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='MESPOL' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.13') or (@code='46720004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44598004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='80297003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='53801007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='89084002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='12169001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='128795001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='24183004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='13025001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='373379001' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor='OTH'])&gt;=1 ">(Primaireafwijking): element hl7:value[(@code='MUCPOL' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.13') or (@code='110448004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='277161008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='76235005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='62047007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443897009' and @codeSystem='2.16.840.1.113883.6.96') or (@code='61722000' and @codeSystem='2.16.840.1.113883.6.96') or (@code='128859003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443157008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443734007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='MESPOL' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.13') or (@code='46720004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44598004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='80297003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='53801007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='89084002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='12169001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='128795001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='24183004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='13025001' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor='OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="count(hl7:value[(@code='MUCPOL' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.13') or (@code='110448004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='277161008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='76235005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='62047007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443897009' and @codeSystem='2.16.840.1.113883.6.96') or (@code='61722000' and @codeSystem='2.16.840.1.113883.6.96') or (@code='128859003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443157008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443734007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='MESPOL' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.13') or (@code='46720004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44598004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='80297003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='53801007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='89084002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='12169001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='128795001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='24183004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='13025001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='373379001' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor='OTH'])&lt;=1">(Primaireafwijking): element hl7:value[(@code='MUCPOL' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.13') or (@code='110448004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='277161008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='76235005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='62047007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443897009' and @codeSystem='2.16.840.1.113883.6.96') or (@code='61722000' and @codeSystem='2.16.840.1.113883.6.96') or (@code='128859003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443157008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443734007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='MESPOL' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.13') or (@code='46720004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44598004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='80297003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='53801007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='89084002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='12169001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='128795001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='24183004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='13025001' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor='OTH'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.403
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:templateId
Item: (Primaireafwijking)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:templateId"
         id="tmp-r-168769-260078-289403-126069">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Primaireafwijking): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.403'">(Primaireafwijking): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.403' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.403
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:code[(@code='C155050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')]
Item: (Primaireafwijking)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:code[(@code='C155050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')]"
         id="tmp-r-166182-763387-624450-162917">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Primaireafwijking): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="@nullFlavor or (@code='C155050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')">(Primaireafwijking): de elementwaarde MOET zijn code 'C155050' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.100'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900114
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']]
Item: (Andereprimaireafwijking)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900114
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:text
Item: (Andereprimaireafwijking)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:text"
         id="tmp-r-527511-444786-727021-379228">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.900114-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Andereprimaireafwijking): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.403
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:value[(@code='MUCPOL' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.13') or (@code='110448004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='277161008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='76235005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='62047007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443897009' and @codeSystem='2.16.840.1.113883.6.96') or (@code='61722000' and @codeSystem='2.16.840.1.113883.6.96') or (@code='128859003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443157008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443734007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='MESPOL' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.13') or (@code='46720004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44598004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='80297003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='53801007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='89084002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='12169001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='128795001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='24183004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='13025001' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor='OTH']
Item: (Primaireafwijking)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.403']]/hl7:value[(@code='MUCPOL' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.13') or (@code='110448004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='277161008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='76235005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='62047007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443897009' and @codeSystem='2.16.840.1.113883.6.96') or (@code='61722000' and @codeSystem='2.16.840.1.113883.6.96') or (@code='128859003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443157008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='443734007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='MESPOL' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.13') or (@code='46720004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44598004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='80297003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='53801007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='89084002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='12169001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='128795001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='24183004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='13025001' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor='OTH']"
         id="tmp-r-897042-202226-831681-852282">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Primaireafwijking): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.14-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.14-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Primaireafwijking): de waarde van @code MOET worden gekozen uit waardenlijst vs_primaire_afwijking Primaire afwijking (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-develop/tmp-2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Primaireafwijking): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_primaire_afwijking Primaire afwijking (DYNAMISCH).</assert>
   </rule>
</pattern>
