<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.334
Name: Reden afbreking coloscopie
Description: Template: Reden afbreking coloscopie; dit wordt gebruikt in verband met een entryRelationship typeCode SUBJ (suject) maar met inversionInd = true
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000">
   <title>Reden afbreking coloscopie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.334
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.334']]
Item: (Redenafbrekingcoloscopie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.334
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334']]
Item: (Redenafbrekingcoloscopie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334']]"
         id="tmp-r-629924-596546-452718-932954">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="string(@classCode)='OBS'">(Redenafbrekingcoloscopie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="string(@moodCode)='EVN'">(Redenafbrekingcoloscopie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334'])&gt;=1 ">(Redenafbrekingcoloscopie): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334'])&lt;=1">(Redenafbrekingcoloscopie): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="count(hl7:code[(@code='445032002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='445032002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Redenafbrekingcoloscopie): element hl7:code[(@code='445032002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="count(hl7:code[(@code='445032002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Redenafbrekingcoloscopie): element hl7:code[(@code='445032002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Redenafbrekingcoloscopie): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37')])&gt;=1 and not(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37')]/@nullFlavor)">(Redenafbrekingcoloscopie): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37')])&lt;=1">(Redenafbrekingcoloscopie): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37')] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.334
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:templateId
Item: (Redenafbrekingcoloscopie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:templateId"
         id="tmp-r-385093-293747-235137-513287">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Redenafbrekingcoloscopie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.334'">(Redenafbrekingcoloscopie): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.334' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.334
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:code[(@code='445032002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Redenafbrekingcoloscopie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:code[(@code='445032002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-989315-441435-354446-700561">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Redenafbrekingcoloscopie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="@nullFlavor or (@code='445032002' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Reason procedure not performed')">(Redenafbrekingcoloscopie): de elementwaarde MOET zijn code '445032002' codeSystem '2.16.840.1.113883.6.96' displayName='Reason procedure not performed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.334
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:text
Item: (Redenafbrekingcoloscopie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:text"
         id="tmp-r-712845-202420-106321-499197">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Redenafbrekingcoloscopie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Redenafbrekingcoloscopie): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="count(hl7:reference)&lt;=1">(Redenafbrekingcoloscopie): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.334
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:text/hl7:reference
Item: (Redenafbrekingcoloscopie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:text/hl7:reference"
         id="tmp-r-770889-129900-107167-409343">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Redenafbrekingcoloscopie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.334
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37')]
Item: (Redenafbrekingcoloscopie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334']]/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.37')]"
         id="tmp-r-993023-587008-446486-841942">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Redenafbrekingcoloscopie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.37-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.37-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Redenafbrekingcoloscopie): de waarde van @code MOET worden gekozen uit waardenlijst vs_afbreken_coloscopie Afbreken coloscopie (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Redenafbrekingcoloscopie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_afbreken_coloscopie Afbreken coloscopie (DYNAMISCH).</assert>
   </rule>
</pattern>
