<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.335
Name: Vervolgbeleid n.a.v. afbreking coloscopie
Description: Template: Vervolgbeleid n.a.v. afbreking coloscopie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000">
   <title>Vervolgbeleid n.a.v. afbreking coloscopie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.335
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.335']]
Item: (Vervolgbeleidnavafbrekingcoloscopie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.335
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]
Item: (Vervolgbeleidnavafbrekingcoloscopie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]"
         id="tmp-r-441453-372440-207165-616731">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="string(@classCode)='OBS'">(Vervolgbeleidnavafbrekingcoloscopie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="string(@moodCode)='EVN'">(Vervolgbeleidnavafbrekingcoloscopie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335'])&gt;=1 ">(Vervolgbeleidnavafbrekingcoloscopie): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335'])&lt;=1">(Vervolgbeleidnavafbrekingcoloscopie): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="count(hl7:code[(@code='61342007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='61342007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Vervolgbeleidnavafbrekingcoloscopie): element hl7:code[(@code='61342007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="count(hl7:code[(@code='61342007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Vervolgbeleidnavafbrekingcoloscopie): element hl7:code[(@code='61342007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="count(hl7:text)&lt;=1">(Vervolgbeleidnavafbrekingcoloscopie): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or @nullFlavor='OTH'])&gt;=1 ">(Vervolgbeleidnavafbrekingcoloscopie): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or @nullFlavor='OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or @nullFlavor='OTH'])&lt;=1">(Vervolgbeleidnavafbrekingcoloscopie): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or @nullFlavor='OTH'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.335
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:templateId
Item: (Vervolgbeleidnavafbrekingcoloscopie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:templateId"
         id="tmp-r-975872-321783-858169-766745">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vervolgbeleidnavafbrekingcoloscopie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.335'">(Vervolgbeleidnavafbrekingcoloscopie): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.335' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.335
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:code[(@code='61342007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Vervolgbeleidnavafbrekingcoloscopie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:code[(@code='61342007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-889192-216234-498334-410055">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vervolgbeleidnavafbrekingcoloscopie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="@nullFlavor or (@code='61342007' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Patient follow-up planned and scheduled')">(Vervolgbeleidnavafbrekingcoloscopie): de elementwaarde MOET zijn code '61342007' codeSystem '2.16.840.1.113883.6.96' displayName='Patient follow-up planned and scheduled'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.335
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:text
Item: (Vervolgbeleidnavafbrekingcoloscopie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:text"
         id="tmp-r-929847-145142-394071-723578">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vervolgbeleidnavafbrekingcoloscopie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Vervolgbeleidnavafbrekingcoloscopie): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Vervolgbeleidnavafbrekingcoloscopie): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.335
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:text/hl7:reference
Item: (Vervolgbeleidnavafbrekingcoloscopie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:text/hl7:reference"
         id="tmp-r-145818-100752-942625-302394">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vervolgbeleidnavafbrekingcoloscopie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.335
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or @nullFlavor='OTH']
Item: (Vervolgbeleidnavafbrekingcoloscopie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.106') or @nullFlavor='OTH']"
         id="tmp-r-833644-544126-441819-828165">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vervolgbeleidnavafbrekingcoloscopie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.106-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.106-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Vervolgbeleidnavafbrekingcoloscopie): de waarde van @code MOET worden gekozen uit waardenlijst vs_vervolgbeleid_afbreken_coloscopie Vervolgbeleid afbreken coloscopie (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Vervolgbeleidnavafbrekingcoloscopie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_vervolgbeleid_afbreken_coloscopie Vervolgbeleid afbreken coloscopie (DYNAMISCH).</assert>
   </rule>
</pattern>
