<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for POCD_MT000040NL - Gestructureerde gegevensvastlegging Coloscopie bevolkingsonderzoek darmkanker </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces --><ns uri="urn:oid:2.16.840.1.113883.2.4.6.10.35.81" prefix="lab"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron --><!--Include datatype abstract schematrons-->
<pattern>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_IVL.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SXCM.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario nsp-bc-mdl -->

<!-- nspbcmdl -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.10-2012-07-04T000000.sch"/>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->



<!-- includes -->
<!-- CDAauthor -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.100-2012-07-04T000000.sch"/>
   <!-- SalutationSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.201-2012-07-04T000000.sch"/>
   <!-- ProcedureIndicationsSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.202-2012-07-04T000000.sch"/>
   <!-- ProcedureDescriptionSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.203-2013-03-23T000000.sch"/>
   <!-- ProcedureFindingsSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.204-2012-07-04T000000.sch"/>
   <!-- AssessmentSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.205-2013-07-09T000000.sch"/>
   <!-- PlanOfCareSection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.207-2012-07-04T000000.sch"/>
   <!-- ConclusionColonoscopySection -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.sch"/>
   <!-- Invitationid -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.sch"/>
   <!-- Complications -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.305-2012-07-10T000000.sch"/>
   <!-- Severityofcomplication -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.306-2012-04-10T000000.sch"/>
   <!-- Preparationcolonoscopy -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.307-2012-04-10T000000.sch"/>
   <!-- Dosageandtypeofpreparation -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.308-2012-04-10T000000.sch"/>
   <!-- Preparationasrequired -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.309-2012-04-10T000000.sch"/>
   <!-- Bostonbowelpreparationscale -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.310-2012-04-10T000000.sch"/>
   <!-- Bostonbowelpreparationscalerightcolon -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.311-2012-04-10T000000.sch"/>
   <!-- Bostonbowelpreparationscaletransversecolon -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.312-2012-04-10T000000.sch"/>
   <!-- Bostonbowelpreparationscaleleftcolon -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.313-2012-04-10T000000.sch"/>
   <!-- Resultscolonoscopy -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.sch"/>
   <!-- Intubationofcolon -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.sch"/>
   <!-- CO2insufflation -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.322-2012-04-10T000000.sch"/>
   <!-- Retractiontimecolonoscopy -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.323-2012-04-10T000000.sch"/>
   <!-- Caecumphoto -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.324-2012-04-10T000000.sch"/>
   <!-- Appendixphoto -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.sch"/>
   <!-- Ileumterminalephoto -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.sch"/>
   <!-- Interventionsprovided -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.sch"/>
   <!-- Gloucestercomfortscore -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.328-2012-04-10T000000.sch"/>
   <!-- Intubationofcaecum -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.329-2012-04-10T000000.sch"/>
   <!-- Maxlocationreached -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.330-2012-04-10T000000.sch"/>
   <!-- Rectalretroflexion -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.331-2012-04-10T000000.sch"/>
   <!-- Orderplacernumber -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.332-2012-04-10T000000.sch"/>
   <!-- SpecimencollectionMDL -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.333-2012-07-10T000000.sch"/>
   <!-- Redenafbrekingcoloscopie -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.sch"/>
   <!-- Vervolgbeleidnavafbrekingcoloscopie -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.sch"/>
   <!-- Uitslagpathologie -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.sch"/>
   <!-- Familialriskfactor -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.337-2012-10-30T000000.sch"/>
   <!-- Verslagidentificatiepathologie -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.338-2013-02-01T000000.sch"/>
   <!-- Patientcounseling -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.370-2012-04-10T000000.sch"/>
   <!-- Planoftreatment -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.372-2012-04-10T000000.sch"/>
   <!-- ConclusionColonoscopyEntry -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.380-2013-06-30T000000.sch"/>
   <!-- AssertionColonoscopyEntry -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.381-2013-04-15T000000.sch"/>
   <!-- Sedationmanagement -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.502-2012-07-04T000000.sch"/>
   <!-- Sedationrelaxationmedicationadministration -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.503-2012-04-10T000000.sch"/>
   <!-- Levelofconsciousness -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.504-2012-04-10T000000.sch"/>
   <!-- Antidotumnavsedatie -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.sch"/>
   <!-- Antidotummedicationadministration -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.506-2012-04-10T000000.sch"/>
   <!-- Administrationofsedative -->
<include href="include/2.16.840.1.113883.2.4.3.36.10.507-2013-06-30T000000.sch"/>

</schema>
